%define upstream_name    Dist-Zilla-Plugin-RewriteVersion-Transitional
%define upstream_version 0.007

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ease the transition to [BumpVersionAfterRelease] in your distribution
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla)
BuildRequires: perl(Dist::Zilla::Plugin::BumpVersionAfterRelease)
BuildRequires: perl(Dist::Zilla::Plugin::PkgVersion)
BuildRequires: perl(Dist::Zilla::Plugin::RewriteVersion)
BuildRequires: perl(Dist::Zilla::Role::VersionProvider)
BuildRequires: perl(Dist::Zilla::Util)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Build::Tiny)
BuildRequires: perl(Module::Runtime)
BuildRequires: perl(Moose)
BuildRequires: perl(Moose::Role)
BuildRequires: perl(Moose::Util::TypeConstraints)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(PPI::Document)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Term::ANSIColor)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::Deep)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(if)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
This is a the Dist::Zilla manpage plugin that subclasses
Dist::Zilla::Plugin::RewriteVersion, to allow plugin bundles to transition
from Dist::Zilla::Plugin::PkgVersion or Dist::Zilla::Plugin::OurPkgVersion
to Dist::Zilla::Plugin::RewriteVersion and
Dist::Zilla::Plugin::BumpVersionAfterRelease without having to manually
edit the _dist.ini_ or any _.pm_ files.

Determining the distribution version
    As with Dist::Zilla::Plugin::RewriteVersion, the version can be
    overridden with the 'V' environment variable, or provided through some
    other means by setting 'skip_version_provider = 1'. Then, the main
    module (see the Dist::Zilla/main module manpage) in the distribution is
    checked for a '$VERSION' assignment. If one is not found, then the
    plugin named by the 'fallback_version_provider' is instantiated (with
    any extra configuration options provided) and called to determine the
    version.

Munging the modules
    When used in a distribution where the _.pm_ file(s) does not contain a
    '$VERSION' declaration, this plugin will add one. If one is already
    present, it leaves it alone, acting just as
    Dist::Zilla::Plugin::RewriteVersion would.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%buildroot

%files
%doc Changes CONTRIBUTING INSTALL LICENSE META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.7.0-2.mga6
+ Revision: 1026571
- Rebuild for perl 5.22.2

* Mon Dec 28 2015 shlomif <shlomif> 0.7.0-1.mga6
+ Revision: 916603
- Convert to M-B-Tiny + Missing BRs
- imported package perl-Dist-Zilla-Plugin-RewriteVersion-Transitional


* Mon Dec 28 2015 cpan2dist 0.007-1mga
- initial mageia release, generated with cpan2dist
